dataset_names = [
    "bc5cdr",
    "medmentions_full",
    "medmentions_st21pv",
    "gnormplus",
    "nlmchem",
    "nlm_gene",
    "ncbi_disease",
    # 'plantnorm',
    # 'bc6id',
]

DATASET_NAMES = [
    "bc5cdr",
    "medmentions_full",
    "medmentions_st21pv",
    "gnormplus",
    "nlmchem",
    "nlm_gene",
    "ncbi_disease",
    # 'plantnorm',
    # 'bc6id',
]

MODELS = [
    "sapbert",
    "metamap",
    "krissbert",
    "scispacy",
    "medlinker",
    "arboel_biencoder",
    "arboel_crossencoder",
    "biobart",
    "biogenel",
]

model_to_color = {}

dataset_to_pretty_name = {
    "medmentions_full": "MM-Full",
    "medmentions_st21pv": "MM-ST21PV",
    "bc5cdr": "BC5CDR",
    "gnormplus": "GNormPlus",
    "ncbi_disease": "NCBI-Disease",
    "nlmchem": "NLM-Chem",
    "craft": "CRAFT",
    "bc6id": "BC6ID",
    "bc3gm": "BC3GM",
    "plantnorm": "PlantNorm",
    "nlm_gene": "NLM-Gene",
}

model_to_pretty_name = {
    "sapbert": "SapBERT",
    "metamap": "MetaMap",
    "krissbert": "KRISSBERT",
    "scispacy": "SciSpacy",
    "medlinker": "MedLinker",
    "arboel_biencoder": "ClusterEL",
    "arboel_crossencoder": "ArboEL",
    "biobart": "BioBART",
    "biogenel": "BioGenEL",
}


model_to_color = {
    "sapbert": "#f58231",
    "metamap": "#3cb44b",
    "scispacy": "#000075",
    "krissbert": "#ffe119",
    "arboel_biencoder": "#4363d8",
    "arboel_crossencoder": "#42d4f4",
    "biobart": "#800000",
    "biogenel": "#e6194B",
    "medlinker": "#911eb4",
}

CUIS_TO_EXCLUDE = {
    "bc5cdr": [
        "MESH:-1",
        "MESH:C047426",
        "MESH:C063008",
        "MESH:C065179",
        "MESH:C069541",
        "MESH:C081489",
        "MESH:C086816",
        "MESH:C094645",
        "MESH:C096918",
        "MESH:C098010",
        "MESH:C099041",
        "MESH:C105934",
        "MESH:C107135",
        "MESH:C108606",
        "MESH:C110904",
        "MESH:C400082",
        "MESH:C413408",
        "MESH:C418563",
        "MESH:C422923",
        "MESH:C476217",
        "MESH:C492458",
        "MESH:C531767",
        "MESH:D004041",
    ],
    "medmentions_full": ["UMLS:C4300640", "UMLS:C4300518"],
    "medmentions_st21pv": ["UMLS:C0683939"],
    "gnormplus": [
        "NCBIGene:139",
        "NCBIGene:6022",
        "NCBIGene:6463",  # "unknown" type gene
        "NCBIGene:2087",
        "NCBIGene:38105",
        "NCBIGene:38853",
        "NCBIGene:47925",
        "NCBIGene:55473",
        "NCBIGene:98285",
        "NCBIGene:114737",
        "NCBIGene:128039",
        "NCBIGene:130505",
        "NCBIGene:155841",
        "NCBIGene:171157",  # "unknown" type gene
        "NCBIGene:252643",
        "NCBIGene:267370",
        "NCBIGene:3654564",
        "NCBIGene:3637603",
        "NCBIGene:5692362",
        "NCBIGene:7683036",
        "NCBIGene:17494192",
        "NCBIGene:100049542",  # "unknown" type gene
    ],
    "nlmchem": [
        "MESH:C015329",
        "MESH:C067134",
        "MESH:C061870",
        "MESH:C000603933",
        "MESH:C004322",
        "MESH:C059514",
        "MESH:C551994",
        "MESH:C000612088",
        "MESH:C419708",
        "MESH:C522924",
        "MESH:D000073878",
        "MESH:D000069463",
        "MESH:C490728",
        "MESH:C089032",
    ],
    "nlm_gene": [
        "NCBIGene:139",
        "NCBIGene:6022",
        "NCBIGene:38105",
        "NCBIGene:38853",
        "NCBIGene:47925",
        "NCBIGene:55473",
        "NCBIGene:98285",
        "NCBIGene:114737",
        "NCBIGene:128039",
        "NCBIGene:130505",
        "NCBIGene:155841",
        "NCBIGene:252643",
        "NCBIGene:267370",
        "NCBIGene:3654564",
        "NCBIGene:3637603",
        "NCBIGene:5692362",
        "NCBIGene:7683036",
        "NCBIGene:17494192",
    ],
    "ncbi_disease": [
        "MESH:C531603",
        "MESH:C531610",
        "MESH:C531652",
        "MESH:C535804",
        "MESH:C537666",
        "MESH:C538138",
        "MESH:C538219",
        "MESH:C538392",
        "MESH:C538554",
        "MESH:D001405",
        "OMIM:102600",
        "OMIM:103600",
        "OMIM:164160",
        "OMIM:600698",
    ],
}

CUIS_TO_REMAP = {
    "bc5cdr": None,
    "medmentions_full": None,
    "medmentions_st21pv": None,
    "nlmchem": None,
    "ncbi_disease": None,
    "gnormplus": {
        "NCBIGene:502": "NCBIGene:498",
        "NCBIGene:1651": "NCBIGene:4137",
        "NCBIGene:7899": "NCBIGene:392255",
        "NCBIGene:8097": "NCBIGene:26353",
        "NCBIGene:22529": "NCBIGene:108394",
        "NCBIGene:26916": "NCBIGene:110253",
        "NCBIGene:98561": "NCBIGene:59125",
        "NCBIGene:100934": "NCBIGene:16826",
        "NCBIGene:113718": "NCBIGene:284167",
        "NCBIGene:723788": "NCBIGene:8412",
        "NCBIGene:100911597": "NCBIGene:25745",
        "NCBIGene:4197": "NCBIGene:2122",
        "NCBIGene:4276": "NCBIGene:100507436",
        "NCBIGene:6686": "NCBIGene:123606",
        "NCBIGene:7330": "NCBIGene:283556",
    },
    "nlm_gene": {
        "NCBIGene:502": "NCBIGene:498",
        "NCBIGene:1651": "NCBIGene:4137",
        "NCBIGene:7899": "NCBIGene:392255",
        "NCBIGene:8097": "NCBIGene:26353",
        "NCBIGene:22529": "NCBIGene:108394",
        "NCBIGene:26916": "NCBIGene:110253",
        "NCBIGene:98561": "NCBIGene:59125",
        "NCBIGene:100934": "NCBIGene:16826",
        "NCBIGene:113718": "NCBIGene:284167",
        "NCBIGene:723788": "NCBIGene:8412",
        "NCBIGene:100911597": "NCBIGene:25745",
        "NCBIGene:4197": "NCBIGene:2122",
        "NCBIGene:4276": "NCBIGene:100507436",
        "NCBIGene:6686": "NCBIGene:123606",
        "NCBIGene:7330": "NCBIGene:283556",
    },
}

# List document IDs to be included in the validation set if not naturally included in data
VALIDATION_DOCUMENT_IDS = {
    "bc5cdr": None,
    "medmentions_full": None,
    "medmentions_st21pv": None,
    "nlmchem": None,
    "ncbi_disease": None,
    "nlm_gene": [
        "24004819",
        "20821041",
        "27460078",
        "27748834",
        "26847345",
        "24402617",
        "18507837",
        "28882895",
        "27473374",
        "21951951",
        "28393246",
        "25277705",
        "28395336",
        "25412315",
        "28260077",
        "19201842",
        "23775080",
        "12805933",
        "18310445",
        "27167772",
        "28350299",
        "25818835",
        "28846666",
        "23651211",
        "27779699",
        "28416580",
        "28259974",
        "26655640",
        "26782292",
        "26545401",
        "30462722",
        "28403862",
        "27943262",
        "19825989",
        "26890356",
        "26963473",
        "27470968",
        "26476672",
        "28115395",
        "28259936",
        "25305591",
        "26640231",
        "27509880",
        "26450454",
        "28084316",
        "28228553",
        "23195221",
        "24694877",
        "28260110",
        "21810259",
        "26027517",
        "28186140",
        "25622904",
        "17612403",
        "23460868",
        "22022612",
        "28348168",
        "18673534",
        "21152263",
        "28534510",
        "24743235",
        "30442153",
        "28359316",
        "20926645",
        "25946186",
        "23220172",
        "23069675",
        "28428259",
    ],
    "gnormplus": [
        "8867793",
        "17889706",
        "2208279",
        "9473669",
        "8182091",
        "8167223",
        "17160896",
        "10484778",
        "10753822",
        "7506095",
        "8663294",
        "12052141",
        "9662397",
        "19370769",
        "8751386",
        "1317062",
        "9215638",
        "17627763",
        "10639512",
        "18805828",
        "8663110",
        "10915768",
        "8632143",
        "11875050",
        "1698610",
        "7806211",
        "19450126",
        "7479798",
        "9215685",
        "8204608",
        "9161407",
        "2786251",
        "14755728",
        "10707983",
        "7556196",
        "9480844",
        "7957066",
        "16737910",
        "12749065",
        "3858849",
        "9766636",
        "1329093",
        "7683036",
        "9027582",
        "7957065",
        "17223398",
        "20596603",
        "9346895",
        "12117771",
        "8555498",
        "9931490",
        "10441506",
        "10072425",
        "8243272",
        "1693656",
        "7556175",
        "7925474",
        "1651173",
        "2674141",
        "7624799",
        "18991055",
        "12215838",
        "18406868",
    ],
}
